clang-tools 6.0.0

Public Member Functions | Public Attributes | List of all members
clang::tidy::readability::IdentifierNamingCheck::NamingStyle Struct Reference

`#include <IdentifierNamingCheck.h>`

Collaboration diagram for clang::tidy::readability::IdentifierNamingCheck::NamingStyle:
[legend]

## Public Member Functions
| NamingStyle ()=default
| NamingStyle (llvm::Optional< CaseType > Case, const std::string &Prefix, const std::string &Suffix)

## Public Attributes
llvm::Optional< CaseType > | Case
std::string | Prefix
std::string | Suffix

## Detailed Description

Definition at line 55 of file IdentifierNamingCheck.h.

## Constructor & Destructor Documentation

## ◆ NamingStyle() [1/2]

clang::tidy::readability::IdentifierNamingCheck::NamingStyle::NamingStyle | ( |  | ) |
| default

## ◆ NamingStyle() [2/2]

clang::tidy::readability::IdentifierNamingCheck::NamingStyle::NamingStyle | ( | llvm::Optional< CaseType > | Case,
|  | const std::string & | Prefix,
|  | const std::string & | Suffix
| ) |  |
| inline

Definition at line 58 of file IdentifierNamingCheck.h.

## Member Data Documentation

## ◆ Case

llvm::Optional<CaseType> clang::tidy::readability::IdentifierNamingCheck::NamingStyle::Case

Definition at line 62 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::fixupWithStyle(), and clang::tidy::readability::matchesStyle().

## ◆ Prefix

std::string clang::tidy::readability::IdentifierNamingCheck::NamingStyle::Prefix

Definition at line 63 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::fixupWithStyle(), and clang::tidy::readability::matchesStyle().

## ◆ Suffix

std::string clang::tidy::readability::IdentifierNamingCheck::NamingStyle::Suffix

Definition at line 64 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::fixupWithStyle(), and clang::tidy::readability::matchesStyle().

The documentation for this struct was generated from the following file:

- IdentifierNamingCheck.h